Loading...
Searching...
No Matches
PtmTrcPacket Class Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_elem_ptm.h>`

Inheritance diagram for PtmTrcPacket:
[legend]
Collaboration diagram for PtmTrcPacket:
[legend]

## Public Member Functions

| PtmTrcPacket ()
| ~PtmTrcPacket ()
PtmTrcPacket & | operator= (const ocsd_ptm_pkt *p_pkt)
virtual const void * | c_pkt () const
| return the underlying C API packet structure
void | Clear ()
| clear update data in packet ready for new one.
void | ResetState ()
| reset intra packet state data - on full decoder reset.
void | SetType (const ocsd_ptm_pkt_type p_type)
void | SetErrType (const ocsd_ptm_pkt_type e_type)
void | SetException (const ocsd_armv7_exception type, const uint16_t number)
void | SetISyncReason (const ocsd_iSync_reason reason)
void | SetCycleCount (const uint32_t cycleCount)
void | SetAtomFromPHdr (const uint8_t pHdr)
void | SetCycleAccAtomFromPHdr (const uint8_t pHdr)
void | UpdateAddress (const ocsd_vaddr_t partAddrVal, const int updateBits)
void | UpdateNS (const int NS)
void | UpdateAltISA (const int AltISA)
void | UpdateHyp (const int Hyp)
void | UpdateISA (const ocsd_isa isa)
void | UpdateContextID (const uint32_t contextID)
void | UpdateVMID (const uint8_t VMID)
void | UpdateTimestamp (const uint64_t tsVal, const uint8_t updateBits)
const bool | isBadPacket () const
const ocsd_ptm_pkt_type | getType () const
const ocsd_isa | getISA () const
const bool | ISAChanged () const
const uint8_t | getAltISA () const
const uint8_t | getNS () const
const uint8_t | getHyp () const
const ocsd_vaddr_t | getAddrVal () const
const bool | CtxtIDUpdated () const
const bool | VMIDUpdated () const
const uint32_t | getCtxtID () const
const uint8_t | getVMID () const
const bool | PEContextUpdated () const
const ocsd_pkt_atom & | getAtom () const
const bool | isBranchExcepPacket () const
const ocsd_armv7_exception | excepType () const
const uint16_t | excepNum () const
const ocsd_iSync_reason | iSyncReason () const
const bool | hasCC () const
const uint32_t | getCCVal () const
virtual void | toString (std::string &str) const
virtual void | toStringFmt (const uint32_t fmtFlags, std::string &str) const
Public Member Functions inherited from TrcPacketBase
| TrcPacketBase ()
virtual | ~TrcPacketBase ()

## Additional Inherited Members

Public Attributes inherited from _ocsd_ptm_pkt
ocsd_ptm_pkt_type | type
ocsd_isa | curr_isa
ocsd_isa | prev_isa
ocsd_pkt_vaddr | addr
ptm_context_t | context
ocsd_pkt_atom | atom
ocsd_iSync_reason | i_sync_reason
uint32_t | cycle_count
uint8_t | cc_valid
uint64_t | timestamp
uint8_t | ts_update_bits
ocsd_ptm_excep | exception
ocsd_ptm_pkt_type | err_type

## Detailed Description

Definition at line 48 of file trc_pkt_elem_ptm.h.

## Constructor & Destructor Documentation

## PtmTrcPacket()

PtmTrcPacket::PtmTrcPacket | ( |  | ) |

## ~PtmTrcPacket()

PtmTrcPacket::~PtmTrcPacket | ( |  | ) |

## Member Function Documentation

## c_pkt()

virtual const void * PtmTrcPacket::c_pkt | ( |  | ) | const

inline virtual

return the underlying C API packet structure

Implements TrcPacketBase.

Definition at line 56 of file trc_pkt_elem_ptm.h.

## Clear()

void PtmTrcPacket::Clear | ( |  | ) |

clear update data in packet ready for new one.

## CtxtIDUpdated()

const bool PtmTrcPacket::CtxtIDUpdated | ( |  | ) | const

inline

Definition at line 99 of file trc_pkt_elem_ptm.h.

## excepNum()

const uint16_t PtmTrcPacket::excepNum | ( |  | ) | const

inline

Definition at line 111 of file trc_pkt_elem_ptm.h.

## excepType()

const ocsd_armv7_exception PtmTrcPacket::excepType | ( |  | ) | const

inline

Definition at line 110 of file trc_pkt_elem_ptm.h.

## getAddrVal()

const ocsd_vaddr_t PtmTrcPacket::getAddrVal | ( |  | ) | const

inline

Definition at line 96 of file trc_pkt_elem_ptm.h.

## getAltISA()

const uint8_t PtmTrcPacket::getAltISA | ( |  | ) | const

inline

Definition at line 91 of file trc_pkt_elem_ptm.h.

## getAtom()

const ocsd_pkt_atom & PtmTrcPacket::getAtom | ( |  | ) | const

inline

Definition at line 106 of file trc_pkt_elem_ptm.h.

## getCCVal()

const uint32_t PtmTrcPacket::getCCVal | ( |  | ) | const

inline

Definition at line 118 of file trc_pkt_elem_ptm.h.

## getCtxtID()

const uint32_t PtmTrcPacket::getCtxtID | ( |  | ) | const

inline

Definition at line 101 of file trc_pkt_elem_ptm.h.

## getHyp()

const uint8_t PtmTrcPacket::getHyp | ( |  | ) | const

inline

Definition at line 93 of file trc_pkt_elem_ptm.h.

## getNS()

const uint8_t PtmTrcPacket::getNS | ( |  | ) | const

inline

Definition at line 92 of file trc_pkt_elem_ptm.h.

## getVMID()

const uint8_t PtmTrcPacket::getVMID | ( |  | ) | const

inline

Definition at line 102 of file trc_pkt_elem_ptm.h.

## hasCC()

const bool PtmTrcPacket::hasCC | ( |  | ) | const

inline

Definition at line 117 of file trc_pkt_elem_ptm.h.

## ISAChanged()

const bool PtmTrcPacket::ISAChanged | ( |  | ) | const

inline

Definition at line 90 of file trc_pkt_elem_ptm.h.

## isBranchExcepPacket()

const bool PtmTrcPacket::isBranchExcepPacket | ( |  | ) | const

inline

Definition at line 109 of file trc_pkt_elem_ptm.h.

## iSyncReason()

const ocsd_iSync_reason PtmTrcPacket::iSyncReason | ( |  | ) | const

inline

Definition at line 114 of file trc_pkt_elem_ptm.h.

## operator=()

PtmTrcPacket & PtmTrcPacket::operator= | ( | const ocsd_ptm_pkt * | p_pkt | ) |

## PEContextUpdated()

const bool PtmTrcPacket::PEContextUpdated | ( |  | ) | const

inline

Definition at line 103 of file trc_pkt_elem_ptm.h.

## ResetState()

void PtmTrcPacket::ResetState | ( |  | ) |

reset intra packet state data - on full decoder reset.

## SetAtomFromPHdr()

void PtmTrcPacket::SetAtomFromPHdr | ( | const uint8_t | pHdr | ) |

## SetCycleAccAtomFromPHdr()

void PtmTrcPacket::SetCycleAccAtomFromPHdr | ( | const uint8_t | pHdr | ) |

## toString()

virtual void PtmTrcPacket::toString | ( | std::string & | str | ) | const

virtual

Reimplemented from trcPrintableElem.

## toStringFmt()

virtual void PtmTrcPacket::toStringFmt | ( | const uint32_t | fmtFlags,
|  | std::string & | str
| ) |  | const

virtual

Reimplemented from trcPrintableElem.

## UpdateAddress()

void PtmTrcPacket::UpdateAddress | ( | const ocsd_vaddr_t | partAddrVal,
|  | const int | updateBits
| ) |  |

## UpdateTimestamp()

void PtmTrcPacket::UpdateTimestamp | ( | const uint64_t | tsVal,
|  | const uint8_t | updateBits
| ) |  |

## VMIDUpdated()

const bool PtmTrcPacket::VMIDUpdated | ( |  | ) | const

inline

Definition at line 100 of file trc_pkt_elem_ptm.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/ptm/trc_pkt_elem_ptm.h